<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>debconf5 | See you in hel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css" media="all">@import "http://www.debconf.org/debconf5/misc/drupal.css";</style>
<style type="text/css">@import url(http://www.debconf.org/debconf5/modules/event/event.css);</style>
<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.debconf.org/debconf5/node/feed" />

  <style type="text/css" media="all">@import "http://www.debconf.org/debconf5/themes/debconf5/style.css";</style>

  <script type="text/javascript"> </script>
</head>

<body bgcolor="#ffffff" >

<div class="hide"><a href="http://www.debconf.org/debconf5/#content" title="Skip navigation." accesskey="2">Skip navigation</a>.</div>
      <!--a href="http://www.debconf.org/debconf5/" title="Home"><img src="http://www.debconf.org/debconf5/files/logo.png" alt="Home" width="144" height="63" border="0" /></a-->
      <!--div class='site-name'><a href="http://www.debconf.org/debconf5/./" title="Home">debconf5</a></div-->
<table id="top_line" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>

    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left_15.png"></td>
    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png"></td>
    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right_15.png"></td>
  </tr>
</table>
<table id="content" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>	
	<td colspan="5">
		<table id="primary-menu" summary="Navigation elements." border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>

		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left.png"></td>
		    <td class="top_left"><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_img.jpg"></a></td>
		    <td class="top_right" width="219" valign="top">
			   <table>
				<tr>
				  <td colspan="6"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="10"></td>
				</tr>
				<tr>
				  <td><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/home.jpg"></a></td>

				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/nav_divider.jpg"></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10" height="29"></td>
				  <td><a href="http://www.debconf.org/debconf5/search"><img src="http://www.debconf.org/debconf5/themes/debconf5/search.jpg"></a></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10"></td>
				</tr>
				<tr>
				  <td colspan="6"><form action="http://comas.linux-aktivaattori.org/comas/general/proposals/search" method="post">
    				    <div id="search">

  		  	 	  	<input class="form-text" type="text" size="15" value="" name="keys" alt="Enter the terms you wish to search for." />
    				      	<input class="form-submit" type="submit" value="Search" alt="submit" />
				        </div>
				      </form></td>	
				</tr>
			   </table>
			</td>
		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right.png"></td>
		  </tr>

		</table>
		<table id="bottom_line" border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>
		    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="7"></td>
		  </tr>
		</table>	
	</td>
  </tr>
  <tr>
  	<td colspan="5">
<div id="container">
<br/>
	<div id="comas" style="margin-left: 4%">


<h1>Using Debian in hardware with no OSS drivers</h1>

<h2>Proposal details:</h2>

<table class="comas-table" width=100%>

<tr>
<td class="name">Abstract:</td>
<td class="input"><p><div class="hft-lines">Manuel Romero Vel&aacute;zquez<br />
<br />
Proposal for DebConf 5<br />
<br />
Using Debian in hardware with no OSS drivers<br />
<br />
Abstract<br />
<br />
This paper is technical and political. It describes the technique to use Debian with external kernel, and represents a scream against who wants that you use a specific distribution.<br />
<br />
Sometimes is needed to install Linux on a machine that has some components which have not Open Source Software (OSS) drivers. So we don't have the source code of driver to compile it. We only have binary modules for a certain number of distributions' kernel o  binary kernels from some distributions with the driver compiled inside it. We can use Linux with that hardware, but we can't use Debian, although we can use Debian with something extra.<br />
<br />
First, there is a distinction betwixt two type of systems. One, the system which problematic hardware involves something necessary to the basic installation. And the other, where it is additional hardware. For instance, a RAID controller in a system where we will put the root on the RAID. And at the other hand, a system with a IDE or SCSI disc for root and RAID for data.<br />
<br />
The second case is the most easy. We can do the usual Debian installation, and then make the changes to be active the RAID controller. We'll do two steps. The first is a Debian installation, as usual. The second is the installation of the kernel from the distribution that supports it.<br />
To do that we need to copy this:<br />
<br />
Modules: /lib/modules/2.6.9-686-3/*<br />
Kernel image: /vmlinuz<br />
System Map: /System-map<br />
Initial RAM Disk: /initrd (if exists)<br />
Configuration file: /config (if exists)<br />
<br />
We have to ways, copy this file to our system directly, or make a package and install it. In both cases take the release of the kernel, for instance 2.6.9-686-3, and put that files in this way in the system:<br />
<br />
/lib/modules/2.6.9-3/*<br />
/boot/vmlinuz-2.6.9-3<br />
/boot/System.map-2.6.9-3<br />
/boot/initrd.img-2.6.9-3<br />
/boot/config-2.6.9-3<br />
<br />
Besides we need to configure the boot loader to boot with this kernel.<br />
<br />
Maybe with this change we have a new problem. If we use a file system in root that is in a module in the new kernel, we have to make a initrd. The first step is to know the file systems that the kernel supports. People use cramfs but maybe it isn't supported, so we'll use ext2 for instance. Make the initrd as usual.<br />
<br />
The last case is a simple modification in a installed system, it is  easy. The interesting situation is when we can't install Debian. We have three steps.<br />
<br />
At first, installation of the system that supports this hardware in a small partition.  <br />
<br />
The second step is to boot the system and install the packages dpkg and debootstrap. They can be downloaded from packages.debian.org. With alien, convert to other format like .rpm or .tgz, so you can install them.<br />
Format the partition where you want to install the root partition of the new system. Mount it and with debootstrap make inside it a Debian root file system.<br />
Use chroot with the new partition and use apt to install the essential packages, like bootloader. Configure /etc/fstab and network.<br />
<br />
Third, do as in the other case, copy the kernel and configure the bootloader. Do the bootloader of Debian the new bootloader of the machine, and reboot it.<br />
<br />
If all is right, a Debian system will boot using the external kernel. Install the other software to have your system complete. <br />
<br />
<br />
About the author<br />
<br />
Manuel Romero Vel&aacute;zquez, aka &#147;Manolo Romero&#148; aka &#147;Yolngu Boy&#148;<br />
Industrial Engineer. Consultant on Free Software<br />
<br />
Chief of System Administration Staff and Free Software consultant for Isotrol S.A., where 85% of servers are Debian.<br />
Development of Guadalinex Edu 2.0 and part of Guadalinex 2004.<br />
Consultant in a lot of projects that use Free Software.<br />
Had written 20 papers for magazines about Linux and Free Software.<br /></div></p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Presentation type:</td>
<td class="input"><p>BOF (45 min)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Track:</td>
<td class="input"><p>Technical</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Status:</td>
<td class="input"><p>Non-official (i.e. BoF)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

</table>

<h2>Authors:</h2>

<ul>

<li><p>Manuel Romero</p>


</li>

</ul>

<h2>Files:</h2>

<ul>

</ul>

<center>
<input type="button" value="Go back" onClick="history.go(-1)">
</center>

	</div>
<br/>
<hr/>
</div>
<div id="bottom" class="margin-left: 4%">
&nbsp;<a href="http://www.debconf.org/debconf5">Debconf 5</a><br/> 
&nbsp;&nbsp;&nbsp;Powered by <a href="http://gborg.postgresql.org/project/comas">COMAS</a>, 
the Conference Management System by <a href="http://www.consol.org.mx">CONSOL</a>
</div>
</td>
</tr>
</table>

</body>
</html>

